using Godot;

namespace Cirno.Scripts.Components.FSM;

public partial class TestModule : ModuleBase<PlayerState, CharacterBody2D>
{
    public override void EnterState(PlayerState state)
    {
        
    }

    public override void ExitState(PlayerState state)
    {
       
    }

    public override void Init(IStateMachine<PlayerState, CharacterBody2D> machine)
    {
        GD.Print($"Module Init {Name}");
    }

    public override void Process(double delta)
    {
        
    }

    public override void PhysicsProcess(double delta)
    {
        
    }
}